[STAGING] (Regression) Kernel panic with 2.6.38-8 and acpi on

Bug #759103 reported by Maurizio Daniele on 2011-04-12
80
This bug affects 16 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

Can not boot with acpi on and kernel 2.6.38-8.42 on a natty beta fresh install. This bug is a regression as I had no problem with maverick.

WORKAROUND: Boot is regular with acpi=off option.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-8-generic 2.6.38-8.42
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: nvidia
AcpiTables:
 Error: command ['gksu', '-D', 'Apport', '--', '/usr/share/apport/dump_acpi_tables.py'] failed with exit code 1: dump_acpi_tables('/sys/firmware/acpi/tables', sys.stdout)
   File "/usr/share/apport/dump_acpi_tables.py", line 43, in dump_acpi_tables
     tables = os.listdir(path)
 OSError: [Errno 2] No such file or directory: '/sys/firmware/acpi/tables'
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: hayabusa 1820 F.... pulseaudio
 /dev/snd/pcmC0D0p: hayabusa 1820 F...m pulseaudio
 /dev/snd/timer: hayabusa 1820 f.... pulseaudio
CRDA: Error: [Errno 2] File o directory non esistente
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf7ff4000 irq 42'
   Mixer name : 'Realtek ALC888'
   Components : 'HDA:10ec0888,10250389,00100202'
   Controls : 35
   Simple ctrls : 20
Card1.Amixer.info:
 Card hw:1 'Cable'/'USB Midi Cable at usb-0000:00:1a.0-1.3, full speed'
   Mixer name : 'USB Mixer'
   Components : 'USB15ca:0101'
   Controls : 0
   Simple ctrls : 0
Card1.Amixer.values:

Date: Tue Apr 12 21:16:54 2011
HibernationDevice: RESUME=UUID=2b0abe68-3013-495c-aa9c-fc45ceb318b6
MachineType: Acer Aspire M7811
ProcEnviron:
 LANGUAGE=it_IT:en
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=5e36380e-c6b3-41f6-8140-e5a4b1fab8ec ro quiet splash acpi=off vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic N/A
 linux-backports-modules-2.6.38-8-generic N/A
 linux-firmware 1.50
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
StagingDrivers: rt2860sta
Title: [STAGING]
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/31/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P01-A3
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: H57M01
dmi.board.vendor: Acer
dmi.chassis.type: 3
dmi.chassis.vendor: Acer
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP01-A3:bd12/31/2009:svnAcer:pnAspireM7811:pvr:rvnAcer:rnH57M01:rvr:cvnAcer:ct3:cvr:
dmi.product.name: Aspire M7811
dmi.sys.vendor: Acer
---
AcpiTables:

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: hayabusa 2102 F.... pulseaudio
CRDA: Error: [Errno 2] File o directory non esistente
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf7ff4000 irq 42'
   Mixer name : 'Realtek ALC888'
   Components : 'HDA:10ec0888,10250389,00100202'
   Controls : 36
   Simple ctrls : 21
Card1.Amixer.info:
 Card hw:1 'Cable'/'USB Midi Cable at usb-0000:00:1a.0-1.3, full speed'
   Mixer name : 'USB Mixer'
   Components : 'USB15ca:0101'
   Controls : 0
   Simple ctrls : 0
Card1.Amixer.values:

DistroRelease: Ubuntu 11.10
HibernationDevice: RESUME=UUID=2b0abe68-3013-495c-aa9c-fc45ceb318b6
MachineType: Acer Aspire M7811
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-16-generic root=UUID=5e36380e-c6b3-41f6-8140-e5a4b1fab8ec ro acpi=off quiet splash -- vga=795 pcie_aspm=force vt.handoff=7
ProcVersionSignature: Ubuntu 3.0.0-16.29-generic 3.0.20
PulseSinks:
 Error: command ['pacmd', 'list-sinks'] failed with exit code 1: Home directory /home/hayabusa not ours.
 No PulseAudio daemon running, or not running as session daemon.
PulseSources:
 Error: command ['pacmd', 'list-sources'] failed with exit code 1: Home directory /home/hayabusa not ours.
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-16-generic N/A
 linux-backports-modules-3.0.0-16-generic N/A
 linux-firmware 1.60
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
StagingDrivers: mei zram
Tags: oneiric staging
Uname: Linux 3.0.0-16-generic x86_64
UpgradeStatus: Upgraded to oneiric on 2011-10-07 (168 days ago)
UserGroups:

dmi.bios.date: 04/29/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P01-B2
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: H57M01
dmi.board.vendor: Acer
dmi.chassis.type: 3
dmi.chassis.vendor: Acer
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP01-B2:bd04/29/2010:svnAcer:pnAspireM7811:pvr:rvnAcer:rnH57M01:rvr:cvnAcer:ct3:cvr:
dmi.product.name: Aspire M7811
dmi.sys.vendor: Acer

Maurizio Daniele (hayabusa) wrote :
Maurizio Daniele (hayabusa) wrote :

Made some testing with mainline kernels from http://kernel.ubuntu.com/~kernel-ppa/mainline/ on my desktop PC (Acer Aspire M7811 )

With all natty releases tested (2.6.38-2, 2.6.37-6, 2.6.36-4) I've got the kernel panic problem with acpi=on.
Unfortunately no bootstrap so no logs.

With 2.6.33-02063307-generic (a maverick release) acpi work and the machine is up and running.

Can I do other tests or produce more documents to help find the bug?

Sam Smith (sam-smith-gmx) wrote :

The same behavior on my Acer Extensa 2902LMi with Ubuntu 11.04.

Brad Figg (brad-figg) on 2011-05-04
Changed in linux (Ubuntu):
status: New → Confirmed
David J Yost (openyost) wrote :

I can confirm this to be the case for my Sony Vaio VGN-CR520E

Ap. Syvertsen (taperkatt) wrote :

I have the same problem with My Acer Aspire 4820TG
For all kernels < 2.6.38.3 I can boot, but for any newer kernel it's just a blank screen.

This is only the case when I have switchable graphics enabled in BIOS (it boots perfect on just the discrete card) and am running the non-proprietary driver for my ATI5650 card. It boots using fglrx , but then vgaswitcheroo doesn't work.

When setting ACPI=OFF my wireless is locked in off position as well.

Vid (davidzecha) wrote :
spi (spi-gmxpro) wrote :

In my case either acpi=off with the standard kernel or just the pae-kernel (without acpi=off) did help.

Mike Ferreira (mafoelffen) wrote :

Many bugs have been refried as a duplicate of this bug,

Helping people on this support forum sticky:
http://ubuntuforums.org/showthread.php?p=10740083#post10740083
We;ve found that most of the time where they would need to use acpi=off or noacpi to get graphics to work, that it did cause other acpi related problems.

We further found that if they manually set the GRUB_GFXMODE=[WIDTHxHEIGTH|xDEPTH] in /etc/default/grub and further added a vesa vga mode set to the kernel boot line via vga=xxx, where xxx is a supported vesa mode by their hardware, that they no longer needed the acpi=off kernel mode set switch... and "everything" started working correctly again.

These all seemed to be related to this bug: https://bugs.launchpad.net/ubuntu/+source/nvidia-settings/+bug/781445
Which ties into this upstream bug: https://savannah.gnu.org/bugs/?33318

What seems to be happening with all these interrelated problems is that If we manually set the parameters that grub should query and pass on... Then things work.

If not and set to the defaults of "auto" which spawns some processes to find and pass data to the kernel, then something is broke in those early processes and is passing invalid data.

Unfortunatley, this all means that the problem is upstream in that last referred bug.

Vid (davidzecha) wrote :

Woohoo ... latest kernel (2.6.38.10) solved this problem for me!

spi (spi-gmxpro) wrote :

No - I still have to use the PAE kernel (in that case 2.6.38.10).

Sam Smith (sam-smith-gmx) wrote :

GREAT! Latest kernel (2.6.38.10) solved this problem for me, too!

seuffert (oliver-seuffert) wrote :

proposed kernel 2.6.38-10 is booting without problems (with acpi on) on my Extensa 2902LMi. This kernel update seems to fix it for me :)

Maurizio Daniele (hayabusa) wrote :

Installed 2.6.38.10 from update-proposed.
No change for me: still not booting and kernel panic with acpi=on

I think this is a mainline kernel bug, in any case.

Raoul Zwart (raoul-subgenius) wrote :

Same problem here on an old Thinkpad W500.

I am chiming in as well. I have a Lenovo B510 All-in-one, i5 processors, 6GB RAM, 1 TB hard drive, ATI Radeon 5570, and tried to dual boot 11.04 64 bit. It wouldn't boot from CD/DVD, but booted through BIOS, and I didn't get any further than the language/Try/Install when I got the lagging black screen. I tried the acpi=on on and a few other options and still the same issue.
I ended up installing 10.04...now my Wacom won't work (ha!), but I am hoping an upgrade won't give me the same results as a fresh install.

Consequently, it installed with no problems on my old computer (inVidia graphics card, with a bad hard drive), but the fan stayed on and abruptly shut down...again, bad hard drive, overheating problem, and not the Ubuntu install.

Don Radick (joetekubi) wrote :

Bug affects me also - HP i5 laptop with Intel graphics. I can boot with acpi=off, but this causes extremely high cpu temperatures. All other attempts at recovery have failed. Performed online upgrade from Ubuntu 10.10, which was running fine.

Julian (summers-j) wrote :

Same thing here for me. I upgraded from 10.10 which worked fine. Upon reboot, I got the ubuntu image, then it had edbuntu splash screen (which is inexplicable to me because I never installed Edbuntu but rather Netbook Remix and was upgrading from that. I have a Compaq 110c which has the Intel 945 graphics chipset. It's a dual boot system with XP.

Maurizio Daniele, thank you for reporting this and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please capture the oops following https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Capturing_OOPs ? As well, can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Maurizio Daniele (hayabusa) wrote :

Hello, thanks to you to work to made Ubuntu better.

Actually this bug is still an issue. I get a kernel panic anytime I activate acpi.
At this moment I use Ubuntu 11.10 with kernel-image 3.0.0-16-generic #29-Ubuntu SMP

I made some testing with mainline kernel (latest: linux-image-3.2.0-030200rc4-generic_3.2.0-030200rc4.201112012035_amd64) without any change. I think the problem is somehow connected to my mainboard (H57M01 by Acer) but updating to the latest firmware didn't solve.

I didn't get any log from lkcd, but maybe I made something wrong with this tool (first time I use it)

Next I will test the pangoline beta-1 with new kernel and post my results here.

Update debug informations follow from apport-collect

tags: added: apport-collected oneiric
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Maurizio Daniele (hayabusa) wrote :

addendum:

Please note that in the previous log acpi is diabled. If you need an apport information with acpi enabled, please tell me, I try to post one before the system crash (actually it's boot and then crash after a couple of minutes)

Maurizio Daniele (hayabusa) wrote :

Hello.

I finally manage to test the Pangoline live DVD (beta2).
Same result with 3.2.0-17 AMD64 kernel. The box boots and then crashes after a couple of minutes.

I could copy the panic screen before reboot, please see attachment. I hope this can be useful.

I 'will soon test the 3.3 kernel too.

tags: added: precise
Maurizio Daniele (hayabusa) wrote :

Updated to 13.04 (kernel 3.8.0-19). Nothing changed, bug is still present.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-lts-raring (Ubuntu):
status: New → Confirmed
Maurizio Daniele (hayabusa) wrote :

Note: Previous comment was wrong.
Affects: linux-image-3.8.0-19-generic (X86_64)

affects: linux-image-3.5.0-030500-generic (Ubuntu) → linux-lts-raring (Ubuntu)

Maurizio Daniele, thank you for testing Raring.

Could you please provide a discussion on why you pass the kernel parameter:
acpi=on

As well, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.9

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

description: updated
no longer affects: linux-lts-raring (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Low

Hey,

Have you seen that stuff already? You have to take a look, it's just great, check it out http://mimmo.stephanieclaire.com/a3a1

Very truly yours, Maurizio Daniele

Greetings,

I'm extremely grateful to you for all you have done, please read my message for you here http://beverlee.merodscrib.com/cecc

See you soon, Maurizio Daniele

Greetings!

I've read an article recently and it reminded me of you, please read it here and tell me your thoughts http://bit.do/dxhBN

Sent from my iPhone, Maurizio Daniele

Sent from Mail for Windows 10

Hello!

I've found some really useful training material, it might be useful for you. Please take a look http://www.straightaescape.com/sort.php?a6a7

Warmest regards, Maurizio Daniele

Sent from Mail for Windows 10

Hi!

We've had an amazing day out of town this weekend, just take a look at the place we've been to, here are some pictures http://pharmedim.pl/thanksgiving.php?d2d3

Sent from my iPhone, Maurizio Daniele

From: Bug 759103 [mailto:<email address hidden>]
Sent: Friday, July 07, 2017 4:49 PM
To: <email address hidden>
Subject: NEEDS MORE HATS.

I think a lot of hate comes from people just not picking it up and continuing to hold on to that feeling. For instance, there's the whole section of playstation gamers who don't get to play and so probably default to disliking the game. Then there's the 'problem' with the game which I believe there is only one that is truly fatal for Titanfall's mass popularity and that is Respawn 'taking out', or not including some of the rubbish bullshit that you see in modern fps games, such as lots of weapons, flashy xp meters and customisation. For me, I'm glad these are not in the game but it's sad that the reason that rubbish *is* in cod and battlefield is because it keeps people playing and that's really all that tf really needs.

Sent from Mail for Windows 10

Hello friend,

I've just found some new methods to solve your problem , please take a look http://sciences.fst-lareunion.fr/frame.php?0203

Sent from a prehistoric stone tablet, Maurizio Daniele

Sent from Mail for Windows 10

Hello!

We've been to a really nice place recently, you may like it too, just take a look http://dulichsangtrong.vn/spokesman.php?fafb

Regards, Maurizio Daniele

Sent from Mail for Windows 10

Hello,

Experienced sky diver Capotorto Vitantonio jumped from a plane Tuesday morning about 10 a.m., just http://auto-ecole-challenger.com/makeup/users/users/bowlx.php?b5b4

Rushing, Maurizio Daniele

Hello!

I was looking for some info and found that nice article, just read it here http://shockemsb.com/progress.php?d6d7

My best to you, Maurizio Daniele

-

Your use of any information or materials on this website is entirely at your own risk, for which we shall not be liable. It shall be your own responsibility to ensure that any products, services or information available through this website meet your specific requirements. This website contains material which is owned by or licensed to us. This material includes, but is not limited to, the design, layout, look, appearance and graphics.

Hello,

Look at that beautiful products, isn't it amazing? Take a peek here http://www.collarpoint.com/ticket.php?UE83NTkxMDNAYnVncy5sYXVuY2hwYWQubmV0

Bests, Maurizio Daniele

From: Bug 759103 [mailto:<email address hidden>]
Sent: Sunday, October 01, 2017 12:13 AM
To: <email address hidden>
Subject: I have a joke for you...

Is the litterbox tucked into the corner of a room, or closely located next to the other litterbox?

Snow is uncomfortable with her new surroundings and probably doesn't feel safe taking a poop when Ellie could sneak up on her at any moment. Separate their litter boxes and put Snow's in a place where she can see in all four directions. Doesn't have to be the middle of the room, but have enough space that Snow can run in any direction if she feels threatened.

Also, if you and your girlfriend used different substrate in the litter boxes, but now have Snow using a new one, try changing her back to what she had before.

Your girlfriend agreed to move in with you and make compromises along the way, but her cat never did. Snow's probably a bit pissed off at the whole situation.

Sent from Mail for Windows 10

Greetings,

There exists some nice products I've found on the net, just take a look http://www.sarwarjahan.com/trash.php?UE83NTkxMDNAYnVncy5sYXVuY2hwYWQubmV0

My Best, Maurizio Daniele

-

From time to time this website may also include links to other websites. These links are provided for your convenience to provide further information. They do not signify that we endorse the website(s). We have no responsibility for the content of the linked website(s). Your use of this website and any dispute arising out of such use of the website is subject to the laws of England, Northern Ireland, Scotland and Wales.

Hello!

I wanted to many thanks for your support and give out some interesting information, you may find it here http://www.shahin.su/empire.php?UE83NTkxMDNAYnVncy5sYXVuY2hwYWQubmV0

Regards, Maurizio Daniele

From: Bug 759103 [mailto:<email address hidden>]
Sent: Wednesday, November 15, 2017 9:50 PM
To: <email address hidden>
Subject: UGC vs Pony tail

I watched this clip on mute at first. The part where Sasha stomps Charlotte in the gut was a "whoa!" moment from me. It was a brutal move of aggression from a vicious and intimidating opponent.

Then I watched it again with the commentary and learned that it was an example of Sasha's "tenacity."

Cause that's what double-stomping someone's guts is. Tenacity.

Sent from Mail for Windows 10

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.